## Class TTabViewCollection

Description

TTabViewCollection class.

TTabViewCollection is used to maintain a list of views belong to a TTabPanel.

- since: 3.1.1
- version: $Id: TTabPanel.php 2197 2007-09-03 19:02:11Z xue $
- author: Tomasz Wolny <tomasz.wolny@polecam.to.pl> and Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TTabPanel.php (line 654)

    TComponent
       |
       --TList
          |
          --TControlCollection
             |
             --TTabViewCollection

Method Summary
integer findIndexByID (string $id)
void insertAt (integer $index, mixed $item)
Methods
findIndexByID (line 676)

Finds the index of the tab view whose ID is the same as the one being looked for.

- return: the index of the tab view found, -1 if not found.
- access: public

integer findIndexByID (string $id)

- string $id: the explicit ID of the tab view to be looked for

insertAt (line 663)

Inserts an item at the specified position.

This overrides the parent implementation by performing sanity check on the type of new item.

- access: public
- throws: TInvalidDataTypeException if the item to be inserted is not a TTabView object.

void insertAt (integer $index, mixed $item)

- integer $index: the speicified position.
- mixed $item: new item

Redefinition of:

TControlCollection::insertAt()
  Inserts an item at the specified position.

#### Inherited Methods

Inherited From TControlCollection

> TControlCollection::__construct()
> TControlCollection::clear()
> TControlCollection::getOwner()
> TControlCollection::insertAt()
> TControlCollection::removeAt()

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:30 -0400 by phpDocumentor 1.3.0RC4